health
Device proxies

The health proxy provides an interface to the HEALTH Module. More...

## Classes

struct | playerc_health_t
| Note: the structure describing the HEALTH's data packet is declared in Player. More...

## Functions

PLAYERC_EXPORT playerc_health_t * | playerc_health_create (playerc_client_t *client, int index)
| Create a health proxy. More...
PLAYERC_EXPORT void | playerc_health_destroy (playerc_health_t *device)
| Destroy a health proxy. More...
PLAYERC_EXPORT int | playerc_health_subscribe (playerc_health_t *device, int access)
| Subscribe to the health device. More...
PLAYERC_EXPORT int | playerc_health_unsubscribe (playerc_health_t *device)
| Un-subscribe from the health device. More...

## Detailed Description

The health proxy provides an interface to the HEALTH Module.

## Function Documentation

PLAYERC_EXPORT playerc_health_t* playerc_health_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a health proxy.

PLAYERC_EXPORT void playerc_health_destroy | ( | playerc_health_t * | device | ) |

Destroy a health proxy.

PLAYERC_EXPORT int playerc_health_subscribe | ( | playerc_health_t * | device,
|  | int | access
| ) |  |

Subscribe to the health device.

PLAYERC_EXPORT int playerc_health_unsubscribe | ( | playerc_health_t * | device | ) |

Un-subscribe from the health device.

Last updated 12 September 2005 21:38:45